Hooks:PostHook(GuiTweakData,"init","kingkrayola_reticles_init",function(self,tweak_data)
	local wts = self.weapon_texture_switches
	
	local path = "units/kk_reticles/"
	local new_colors = {
		"red",
		"orange",
		"yellow",
		"green",
		"cyan",
		"blue",
		"purple",
		"pink",
		"white"
	}
	local new_reticles = {
		{
			name_id = "menu_kk_reticle_1",
			texture_path = path .. "reticle1_il"
		},
		{
			name_id = "menu_kk_reticle_2",
			texture_path = path .. "reticle2_il"
		},
		{
			name_id = "menu_kk_reticle_3",
			texture_path = path .. "reticle3_il"
		},
		{
			name_id = "menu_kk_reticle_4",
			texture_path = path .. "reticle4_il"
		},
		{
			name_id = "menu_kk_reticle_5",
			texture_path = path .. "reticle5_il"
		},
		{
			name_id = "menu_kk_reticle_6",
			texture_path = path .. "reticle6_il"
		},
		{
			name_id = "menu_kk_reticle_7",
			texture_path = path .. "reticle7_il"
		},
		{
			name_id = "menu_kk_reticle_8",
			texture_path = path .. "reticle8_il"
		},
		{
			name_id = "menu_kk_reticle_9",
			texture_path = path .. "reticle9_il"
		},
		{
			name_id = "menu_kk_reticle_10",
			texture_path = path .. "reticle10_il"
		},
		{
			name_id = "menu_kk_reticle_11",
			texture_path = path .. "reticle11_il"
		},
		{
			name_id = "menu_kk_reticle_12",
			texture_path = path .. "reticle12_il"
		}
	}


	--for each color, check if a new color exists, and if does not, add it
	for _,new_color in ipairs(new_colors) do 
		local has_color = false
		
		for __,data in pairs(wts.color_indexes) do 
			if data.color == new_color then 
				has_color = true
				break
			end
		end
		
		if not has_color then 
			local i = #wts.color_indexes + 1
			table.insert(wts.color_indexes,i,{color=new_color,dlc="gage_pack_jobs"})
		end
	end
	
	for _,new_reticle in pairs(new_reticles) do 
		table.insert(wts.types.sight,new_reticle)
	end
	
	
	
end)